Bug 919770 (CVE-2013-1654)

Summary: CVE-2013-1654 Puppet: SSL protocol downgrade
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: apevec, bkearney, ccoleman, cpelland, dajohnso, dmcphers, esammons, iboverma, jeckersb, jialiu, jomara, lmeyer, markmc, mcressma, mmccune, morazi, msuchy, rbryant, rh, sclewis, security-response-team, tkramer
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130312,reported=20130309,source=upstream,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,mrg-1/puppet=affected,openshift-1/puppet=affected,cloudformscommon-1/puppet=wontfix,epel-all/puppet=affected,openstack-2.1/puppet=affected,sam-1/puppet=affected,fedora-all/puppet=affected
Fixed In Version: puppet 2.6.18, puppet 2.7.21, puppet 3.1.1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-03-11 03:00:09 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 919772, 919788, 919790, 919791, 920843, 920845, 924458, 995665    
Bug Blocks: 919786, 919787, 921763    

Description Kurt Seifried 2013-03-09 20:38:09 EST
Moses Mendoza (moses@puppetlabs.com) reports:

CVE-2013-1654 - Protocol downgrade
* Resolved in Puppet 2.6.18, 2.7.21, 3.1.1, Puppet Enterprise 1.2.7, 2.7.2

Affects puppet master and agents at least as far back as 0.24.0,
likely earlier, but only if using a version of openssl that is
compiled with SSLv2 support enabled. A vulnerable system will report:

$ ruby -e "require 'openssl'; puts OpenSSL::SSL::SSLContext::METHODS"
Show quoted text

A bug in Puppet allows SSL connections to be downgraded to SSLv2,
which is known to contain design flaw weaknesses
(http://osvdb.org/56387). This affects SSL connections between 
puppet agents and master, as well as connections that puppet agents make to
third party servers that accept SSLv2 connections. This is only an
issue on systems that use an older version of openssl, as newer
versions explicitly disable SSLv2 support.

External References:
Comment 4 Vincent Danen 2013-03-12 17:36:59 EDT
Created puppet tracking bugs for this issue

Affects: epel-all [bug 920843]
Comment 5 Vincent Danen 2013-03-12 17:41:06 EDT
Created puppet tracking bugs for this issue

Affects: fedora-all [bug 920845]
Comment 6 Kurt Seifried 2013-03-15 00:59:11 EDT
For the puppet roll-up patches please see Bz 919783 for the patch files.
Comment 8 Murray McAllister 2013-03-27 03:23:54 EDT

Red Hat would like to thank Puppet Labs for reporting this issue.
Comment 9 errata-xmlrpc 2013-04-04 16:20:19 EDT
This issue has been addressed in following products:

  OpenStack Folsom for RHEL 6

Via RHSA-2013:0710 https://rhn.redhat.com/errata/RHSA-2013-0710.html
Comment 10 Fedora Update System 2013-04-05 18:36:20 EDT
puppet-2.6.18-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-04-05 18:37:33 EDT
puppet-2.6.18-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Kurt Seifried 2013-07-26 02:19:00 EDT
The Red Hat Security Response Team has rated this issue as having low security impact in CloudForms 1.1. This issue is not currently planned to be addressed in future updates.
Comment 13 Fedora Update System 2013-08-01 23:24:01 EDT
puppet-3.1.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.